cURL
curl --request PATCH \
--url https://app-api.aide.app/v1/integrations/{id}/inboxes/{inboxId}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rollout": {
"testSenders": [
"<string>"
],
"percentage": 50
},
"drafts": [],
"replyIdentity": {
"authorExternalId": "<string>",
"fromAddress": "[email protected]",
"senderName": "<string>"
},
"waitingSnoozeHours": 4380,
"quietPeriodSeconds": 300,
"topicsWriteBack": {
"prefix": "<string>",
"field": {
"fieldId": "<string>",
"values": [
{
"topicId": "<string>",
"option": "<string>"
}
]
}
},
"outcomeWriteBack": {
"field": {
"fieldId": "<string>",
"values": [
{
"option": "<string>"
}
]
}
},
"meta": {},
"handBack": {
"teammateExternalId": "<string>",
"teamExternalId": "<string>",
"tag": "<string>",
"mentions": [
"<string>"
]
},
"reset": []
}
'import requests
url = "https://app-api.aide.app/v1/integrations/{id}/inboxes/{inboxId}/settings"
payload = {
"rollout": {
"testSenders": ["<string>"],
"percentage": 50
},
"drafts": [],
"replyIdentity": {
"authorExternalId": "<string>",
"fromAddress": "[email protected]",
"senderName": "<string>"
},
"waitingSnoozeHours": 4380,
"quietPeriodSeconds": 300,
"topicsWriteBack": {
"prefix": "<string>",
"field": {
"fieldId": "<string>",
"values": [
{
"topicId": "<string>",
"option": "<string>"
}
]
}
},
"outcomeWriteBack": { "field": {
"fieldId": "<string>",
"values": [{ "option": "<string>" }]
} },
"meta": {},
"handBack": {
"teammateExternalId": "<string>",
"teamExternalId": "<string>",
"tag": "<string>",
"mentions": ["<string>"]
},
"reset": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rollout: {testSenders: ['<string>'], percentage: 50},
drafts: [],
replyIdentity: {
authorExternalId: '<string>',
fromAddress: '[email protected]',
senderName: '<string>'
},
waitingSnoozeHours: 4380,
quietPeriodSeconds: 300,
topicsWriteBack: {
prefix: '<string>',
field: {fieldId: '<string>', values: [{topicId: '<string>', option: '<string>'}]}
},
outcomeWriteBack: {field: {fieldId: '<string>', values: [{option: '<string>'}]}},
meta: {},
handBack: {
teammateExternalId: '<string>',
teamExternalId: '<string>',
tag: '<string>',
mentions: ['<string>']
},
reset: []
})
};
fetch('https://app-api.aide.app/v1/integrations/{id}/inboxes/{inboxId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/integrations/{id}/inboxes/{inboxId}/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'rollout' => [
'testSenders' => [
'<string>'
],
'percentage' => 50
],
'drafts' => [
],
'replyIdentity' => [
'authorExternalId' => '<string>',
'fromAddress' => '[email protected]',
'senderName' => '<string>'
],
'waitingSnoozeHours' => 4380,
'quietPeriodSeconds' => 300,
'topicsWriteBack' => [
'prefix' => '<string>',
'field' => [
'fieldId' => '<string>',
'values' => [
[
'topicId' => '<string>',
'option' => '<string>'
]
]
]
],
'outcomeWriteBack' => [
'field' => [
'fieldId' => '<string>',
'values' => [
[
'option' => '<string>'
]
]
]
],
'meta' => [
],
'handBack' => [
'teammateExternalId' => '<string>',
'teamExternalId' => '<string>',
'tag' => '<string>',
'mentions' => [
'<string>'
]
],
'reset' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/integrations/{id}/inboxes/{inboxId}/settings"
payload := strings.NewReader("{\n \"rollout\": {\n \"testSenders\": [\n \"<string>\"\n ],\n \"percentage\": 50\n },\n \"drafts\": [],\n \"replyIdentity\": {\n \"authorExternalId\": \"<string>\",\n \"fromAddress\": \"[email protected]\",\n \"senderName\": \"<string>\"\n },\n \"waitingSnoozeHours\": 4380,\n \"quietPeriodSeconds\": 300,\n \"topicsWriteBack\": {\n \"prefix\": \"<string>\",\n \"field\": {\n \"fieldId\": \"<string>\",\n \"values\": [\n {\n \"topicId\": \"<string>\",\n \"option\": \"<string>\"\n }\n ]\n }\n },\n \"outcomeWriteBack\": {\n \"field\": {\n \"fieldId\": \"<string>\",\n \"values\": [\n {\n \"option\": \"<string>\"\n }\n ]\n }\n },\n \"meta\": {},\n \"handBack\": {\n \"teammateExternalId\": \"<string>\",\n \"teamExternalId\": \"<string>\",\n \"tag\": \"<string>\",\n \"mentions\": [\n \"<string>\"\n ]\n },\n \"reset\": []\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app-api.aide.app/v1/integrations/{id}/inboxes/{inboxId}/settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"rollout\": {\n \"testSenders\": [\n \"<string>\"\n ],\n \"percentage\": 50\n },\n \"drafts\": [],\n \"replyIdentity\": {\n \"authorExternalId\": \"<string>\",\n \"fromAddress\": \"[email protected]\",\n \"senderName\": \"<string>\"\n },\n \"waitingSnoozeHours\": 4380,\n \"quietPeriodSeconds\": 300,\n \"topicsWriteBack\": {\n \"prefix\": \"<string>\",\n \"field\": {\n \"fieldId\": \"<string>\",\n \"values\": [\n {\n \"topicId\": \"<string>\",\n \"option\": \"<string>\"\n }\n ]\n }\n },\n \"outcomeWriteBack\": {\n \"field\": {\n \"fieldId\": \"<string>\",\n \"values\": [\n {\n \"option\": \"<string>\"\n }\n ]\n }\n },\n \"meta\": {},\n \"handBack\": {\n \"teammateExternalId\": \"<string>\",\n \"teamExternalId\": \"<string>\",\n \"tag\": \"<string>\",\n \"mentions\": [\n \"<string>\"\n ]\n },\n \"reset\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/integrations/{id}/inboxes/{inboxId}/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"rollout\": {\n \"testSenders\": [\n \"<string>\"\n ],\n \"percentage\": 50\n },\n \"drafts\": [],\n \"replyIdentity\": {\n \"authorExternalId\": \"<string>\",\n \"fromAddress\": \"[email protected]\",\n \"senderName\": \"<string>\"\n },\n \"waitingSnoozeHours\": 4380,\n \"quietPeriodSeconds\": 300,\n \"topicsWriteBack\": {\n \"prefix\": \"<string>\",\n \"field\": {\n \"fieldId\": \"<string>\",\n \"values\": [\n {\n \"topicId\": \"<string>\",\n \"option\": \"<string>\"\n }\n ]\n }\n },\n \"outcomeWriteBack\": {\n \"field\": {\n \"fieldId\": \"<string>\",\n \"values\": [\n {\n \"option\": \"<string>\"\n }\n ]\n }\n },\n \"meta\": {},\n \"handBack\": {\n \"teammateExternalId\": \"<string>\",\n \"teamExternalId\": \"<string>\",\n \"tag\": \"<string>\",\n \"mentions\": [\n \"<string>\"\n ]\n },\n \"reset\": []\n}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "channel_inbox_settings",
"unavailable": [
{
"path": "<string>",
"reason": "inbox_setting",
"detail": "<string>"
}
],
"settings": {
"meta": {
"humanAgentTag": true
},
"mode": "assists",
"drafts": [
"composer_insert"
],
"sendReplies": true,
"handoffDrafts": true,
"alwaysDraft": true,
"afterReply": "closed",
"waitingSnoozeHours": 123,
"quietPeriodSeconds": 123,
"vendorAi": "after_handover",
"scope": {
"tags": {
"include": [
"<string>"
],
"exclude": [
"<string>"
]
},
"media": "all"
},
"rollout": {
"mode": "everyone",
"percentage": 123,
"testSenders": [
"<string>"
]
},
"replyIdentity": {
"authorExternalId": "<string>",
"fromAddress": "<string>",
"senderName": "<string>"
},
"topicsWriteBack": {
"enabled": true,
"prefix": "<string>",
"field": {
"values": [
{
"topicId": "<string>",
"option": "<string>"
}
],
"fieldId": "<string>"
}
},
"outcomeWriteBack": {
"tags": true,
"field": {
"values": [
{
"option": "<string>",
"outcome": "drafted"
}
],
"fieldId": "<string>"
}
},
"handBack": {
"tag": "<string>",
"to": "previous_assignee",
"mentions": [
"<string>"
],
"teammateExternalId": "<string>",
"teamExternalId": "<string>"
}
},
"inboxId": "<string>",
"integrationId": "<string>",
"capabilities": {
"tags": {
"create": true,
"read": true,
"write": true
},
"assignment": {
"users": true,
"teams": true
},
"kind": "native",
"media": [
{
"medium": "chat",
"reply": {
"human": {
"reason": "not_verified",
"allowed": true,
"windowHours": 123
},
"automated": {
"reason": "not_verified",
"allowed": true,
"windowHours": 123
}
},
"drafts": [
"composer_insert"
],
"vendorAi": true,
"internalNote": true
}
],
"statuses": [
"closed"
],
"snooze": true,
"fields": {
"read": true,
"write": true
},
"assignable": true
},
"sources": {
"mode": "connection",
"drafts": "connection",
"scope.media": "connection",
"scope.tags.include": "connection",
"scope.tags.exclude": "connection",
"rollout.mode": "connection",
"rollout.testSenders": "connection",
"rollout.percentage": "connection",
"sendReplies": "connection",
"handoffDrafts": "connection",
"alwaysDraft": "connection",
"replyIdentity.authorExternalId": "connection",
"replyIdentity.fromAddress": "connection",
"replyIdentity.senderName": "connection",
"afterReply": "connection",
"waitingSnoozeHours": "connection",
"quietPeriodSeconds": "connection",
"topicsWriteBack.enabled": "connection",
"topicsWriteBack.prefix": "connection",
"topicsWriteBack.field": "connection",
"outcomeWriteBack.tags": "connection",
"outcomeWriteBack.field": "connection",
"meta.humanAgentTag": "connection",
"vendorAi": "connection",
"handBack.to": "connection",
"handBack.teammateExternalId": "connection",
"handBack.teamExternalId": "connection",
"handBack.tag": "connection",
"handBack.mentions": "connection"
},
"resolvedAfterReply": "closed",
"defaultSenderName": "<string>"
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}ChannelSettings
Patch v1integrations inboxes settings
PATCH
/
v1
/
integrations
/
{id}
/
inboxes
/
{inboxId}
/
settings
cURL
curl --request PATCH \
--url https://app-api.aide.app/v1/integrations/{id}/inboxes/{inboxId}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rollout": {
"testSenders": [
"<string>"
],
"percentage": 50
},
"drafts": [],
"replyIdentity": {
"authorExternalId": "<string>",
"fromAddress": "[email protected]",
"senderName": "<string>"
},
"waitingSnoozeHours": 4380,
"quietPeriodSeconds": 300,
"topicsWriteBack": {
"prefix": "<string>",
"field": {
"fieldId": "<string>",
"values": [
{
"topicId": "<string>",
"option": "<string>"
}
]
}
},
"outcomeWriteBack": {
"field": {
"fieldId": "<string>",
"values": [
{
"option": "<string>"
}
]
}
},
"meta": {},
"handBack": {
"teammateExternalId": "<string>",
"teamExternalId": "<string>",
"tag": "<string>",
"mentions": [
"<string>"
]
},
"reset": []
}
'import requests
url = "https://app-api.aide.app/v1/integrations/{id}/inboxes/{inboxId}/settings"
payload = {
"rollout": {
"testSenders": ["<string>"],
"percentage": 50
},
"drafts": [],
"replyIdentity": {
"authorExternalId": "<string>",
"fromAddress": "[email protected]",
"senderName": "<string>"
},
"waitingSnoozeHours": 4380,
"quietPeriodSeconds": 300,
"topicsWriteBack": {
"prefix": "<string>",
"field": {
"fieldId": "<string>",
"values": [
{
"topicId": "<string>",
"option": "<string>"
}
]
}
},
"outcomeWriteBack": { "field": {
"fieldId": "<string>",
"values": [{ "option": "<string>" }]
} },
"meta": {},
"handBack": {
"teammateExternalId": "<string>",
"teamExternalId": "<string>",
"tag": "<string>",
"mentions": ["<string>"]
},
"reset": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rollout: {testSenders: ['<string>'], percentage: 50},
drafts: [],
replyIdentity: {
authorExternalId: '<string>',
fromAddress: '[email protected]',
senderName: '<string>'
},
waitingSnoozeHours: 4380,
quietPeriodSeconds: 300,
topicsWriteBack: {
prefix: '<string>',
field: {fieldId: '<string>', values: [{topicId: '<string>', option: '<string>'}]}
},
outcomeWriteBack: {field: {fieldId: '<string>', values: [{option: '<string>'}]}},
meta: {},
handBack: {
teammateExternalId: '<string>',
teamExternalId: '<string>',
tag: '<string>',
mentions: ['<string>']
},
reset: []
})
};
fetch('https://app-api.aide.app/v1/integrations/{id}/inboxes/{inboxId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/integrations/{id}/inboxes/{inboxId}/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'rollout' => [
'testSenders' => [
'<string>'
],
'percentage' => 50
],
'drafts' => [
],
'replyIdentity' => [
'authorExternalId' => '<string>',
'fromAddress' => '[email protected]',
'senderName' => '<string>'
],
'waitingSnoozeHours' => 4380,
'quietPeriodSeconds' => 300,
'topicsWriteBack' => [
'prefix' => '<string>',
'field' => [
'fieldId' => '<string>',
'values' => [
[
'topicId' => '<string>',
'option' => '<string>'
]
]
]
],
'outcomeWriteBack' => [
'field' => [
'fieldId' => '<string>',
'values' => [
[
'option' => '<string>'
]
]
]
],
'meta' => [
],
'handBack' => [
'teammateExternalId' => '<string>',
'teamExternalId' => '<string>',
'tag' => '<string>',
'mentions' => [
'<string>'
]
],
'reset' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/integrations/{id}/inboxes/{inboxId}/settings"
payload := strings.NewReader("{\n \"rollout\": {\n \"testSenders\": [\n \"<string>\"\n ],\n \"percentage\": 50\n },\n \"drafts\": [],\n \"replyIdentity\": {\n \"authorExternalId\": \"<string>\",\n \"fromAddress\": \"[email protected]\",\n \"senderName\": \"<string>\"\n },\n \"waitingSnoozeHours\": 4380,\n \"quietPeriodSeconds\": 300,\n \"topicsWriteBack\": {\n \"prefix\": \"<string>\",\n \"field\": {\n \"fieldId\": \"<string>\",\n \"values\": [\n {\n \"topicId\": \"<string>\",\n \"option\": \"<string>\"\n }\n ]\n }\n },\n \"outcomeWriteBack\": {\n \"field\": {\n \"fieldId\": \"<string>\",\n \"values\": [\n {\n \"option\": \"<string>\"\n }\n ]\n }\n },\n \"meta\": {},\n \"handBack\": {\n \"teammateExternalId\": \"<string>\",\n \"teamExternalId\": \"<string>\",\n \"tag\": \"<string>\",\n \"mentions\": [\n \"<string>\"\n ]\n },\n \"reset\": []\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app-api.aide.app/v1/integrations/{id}/inboxes/{inboxId}/settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"rollout\": {\n \"testSenders\": [\n \"<string>\"\n ],\n \"percentage\": 50\n },\n \"drafts\": [],\n \"replyIdentity\": {\n \"authorExternalId\": \"<string>\",\n \"fromAddress\": \"[email protected]\",\n \"senderName\": \"<string>\"\n },\n \"waitingSnoozeHours\": 4380,\n \"quietPeriodSeconds\": 300,\n \"topicsWriteBack\": {\n \"prefix\": \"<string>\",\n \"field\": {\n \"fieldId\": \"<string>\",\n \"values\": [\n {\n \"topicId\": \"<string>\",\n \"option\": \"<string>\"\n }\n ]\n }\n },\n \"outcomeWriteBack\": {\n \"field\": {\n \"fieldId\": \"<string>\",\n \"values\": [\n {\n \"option\": \"<string>\"\n }\n ]\n }\n },\n \"meta\": {},\n \"handBack\": {\n \"teammateExternalId\": \"<string>\",\n \"teamExternalId\": \"<string>\",\n \"tag\": \"<string>\",\n \"mentions\": [\n \"<string>\"\n ]\n },\n \"reset\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/integrations/{id}/inboxes/{inboxId}/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"rollout\": {\n \"testSenders\": [\n \"<string>\"\n ],\n \"percentage\": 50\n },\n \"drafts\": [],\n \"replyIdentity\": {\n \"authorExternalId\": \"<string>\",\n \"fromAddress\": \"[email protected]\",\n \"senderName\": \"<string>\"\n },\n \"waitingSnoozeHours\": 4380,\n \"quietPeriodSeconds\": 300,\n \"topicsWriteBack\": {\n \"prefix\": \"<string>\",\n \"field\": {\n \"fieldId\": \"<string>\",\n \"values\": [\n {\n \"topicId\": \"<string>\",\n \"option\": \"<string>\"\n }\n ]\n }\n },\n \"outcomeWriteBack\": {\n \"field\": {\n \"fieldId\": \"<string>\",\n \"values\": [\n {\n \"option\": \"<string>\"\n }\n ]\n }\n },\n \"meta\": {},\n \"handBack\": {\n \"teammateExternalId\": \"<string>\",\n \"teamExternalId\": \"<string>\",\n \"tag\": \"<string>\",\n \"mentions\": [\n \"<string>\"\n ]\n },\n \"reset\": []\n}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "channel_inbox_settings",
"unavailable": [
{
"path": "<string>",
"reason": "inbox_setting",
"detail": "<string>"
}
],
"settings": {
"meta": {
"humanAgentTag": true
},
"mode": "assists",
"drafts": [
"composer_insert"
],
"sendReplies": true,
"handoffDrafts": true,
"alwaysDraft": true,
"afterReply": "closed",
"waitingSnoozeHours": 123,
"quietPeriodSeconds": 123,
"vendorAi": "after_handover",
"scope": {
"tags": {
"include": [
"<string>"
],
"exclude": [
"<string>"
]
},
"media": "all"
},
"rollout": {
"mode": "everyone",
"percentage": 123,
"testSenders": [
"<string>"
]
},
"replyIdentity": {
"authorExternalId": "<string>",
"fromAddress": "<string>",
"senderName": "<string>"
},
"topicsWriteBack": {
"enabled": true,
"prefix": "<string>",
"field": {
"values": [
{
"topicId": "<string>",
"option": "<string>"
}
],
"fieldId": "<string>"
}
},
"outcomeWriteBack": {
"tags": true,
"field": {
"values": [
{
"option": "<string>",
"outcome": "drafted"
}
],
"fieldId": "<string>"
}
},
"handBack": {
"tag": "<string>",
"to": "previous_assignee",
"mentions": [
"<string>"
],
"teammateExternalId": "<string>",
"teamExternalId": "<string>"
}
},
"inboxId": "<string>",
"integrationId": "<string>",
"capabilities": {
"tags": {
"create": true,
"read": true,
"write": true
},
"assignment": {
"users": true,
"teams": true
},
"kind": "native",
"media": [
{
"medium": "chat",
"reply": {
"human": {
"reason": "not_verified",
"allowed": true,
"windowHours": 123
},
"automated": {
"reason": "not_verified",
"allowed": true,
"windowHours": 123
}
},
"drafts": [
"composer_insert"
],
"vendorAi": true,
"internalNote": true
}
],
"statuses": [
"closed"
],
"snooze": true,
"fields": {
"read": true,
"write": true
},
"assignable": true
},
"sources": {
"mode": "connection",
"drafts": "connection",
"scope.media": "connection",
"scope.tags.include": "connection",
"scope.tags.exclude": "connection",
"rollout.mode": "connection",
"rollout.testSenders": "connection",
"rollout.percentage": "connection",
"sendReplies": "connection",
"handoffDrafts": "connection",
"alwaysDraft": "connection",
"replyIdentity.authorExternalId": "connection",
"replyIdentity.fromAddress": "connection",
"replyIdentity.senderName": "connection",
"afterReply": "connection",
"waitingSnoozeHours": "connection",
"quietPeriodSeconds": "connection",
"topicsWriteBack.enabled": "connection",
"topicsWriteBack.prefix": "connection",
"topicsWriteBack.field": "connection",
"outcomeWriteBack.tags": "connection",
"outcomeWriteBack.field": "connection",
"meta.humanAgentTag": "connection",
"vendorAi": "connection",
"handBack.to": "connection",
"handBack.teammateExternalId": "connection",
"handBack.teamExternalId": "connection",
"handBack.tag": "connection",
"handBack.mentions": "connection"
},
"resolvedAfterReply": "closed",
"defaultSenderName": "<string>"
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Authorizations
An access token, bound to one account.
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
1, 1, true, true, on, 0, 0, false, false Available options:
note, native_draft, composer_insert, macro_insert, panel Available options:
1, 1, true, true, on, 0, 0, false, false Available options:
1, 1, true, true, on, 0, 0, false, false Show child attributes
Show child attributes
Available options:
inherit, unchanged, open, waiting_on_customer, closed Required range:
1 <= x <= 8760Required range:
0 <= x <= 600Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
assists, owns Available options:
alongside, after_handover Show child attributes
Show child attributes
Available options:
scope.media, scope.tags.include, scope.tags.exclude, rollout.mode, rollout.testSenders, rollout.percentage, sendReplies, drafts, handoffDrafts, alwaysDraft, replyIdentity.authorExternalId, replyIdentity.fromAddress, replyIdentity.senderName, afterReply, waitingSnoozeHours, quietPeriodSeconds, topicsWriteBack.enabled, topicsWriteBack.prefix, topicsWriteBack.field, outcomeWriteBack.tags, outcomeWriteBack.field, meta.humanAgentTag, mode, vendorAi, handBack.to, handBack.teammateExternalId, handBack.teamExternalId, handBack.tag, handBack.mentions Response
OK
Show child attributes
Show child attributes